path="D:\\test1\\das"
zip_loc= "D:\\test1\\Testing.zip"
import os ,zipfile,pathlib
ret=[]
for root, dirs, files in os.walk(path):
    for dir in dirs:
        ret.append((dir,root,True))
    for file in files:
        ret.append((file,root,False))

for path, root, is_dir in ret:
    with zipfile.ZipFile(zip_loc, 'a',
                    compression=zipfile.ZIP_STORED,allowZip64=True) as zipped:
                filename = os.path.join(root, path)
                p = pathlib.Path(filename)
                p = pathlib.Path(*p.parts[1:])
                p = str(p).replace("\\", "/")
                if is_dir:
                    p += "/"
                arch_name = os.path.relpath(os.path.join(root, path), os.path.join(path, '..'))
                try:
                    info = zipped.getinfo(p)
                except KeyError:
                    print("Key not found,writing to zip\n")
                else:
                    print("File already exists")
                    continue
                zipped.write(filename, filename)